EDIRECT(1)

NAME
edirect - access NCBI Entrez from the command line

SYNOPSIS
edirect -version esearch (edirect -search) options elink (edirect -link) options efilter (edirect -filter) options esummary (edirect -summary) options efetch (edirect -fetch) options einfo (edirect -info) options epost (edirect -post) options espell (edirect -spell) options ecitmatch (edirect -citmatch) options eproxy (edirect -proxy) options econtact (edirect -contact) options enotify (edirect -notify) options eaddress (edirect -address) options eblast (edirect -blast) options ftp-ls (edirect -ftpls) options ftp-cp (edirect -ftpcp) options transmute (edirect -tmute) options edirect -nquir options

DESCRIPTION
edirect (Entrez Direct) is a command-line utility for consulting NCBI's set of interconnected databases (publication, sequence, structure, gene, variation, expression, etc.) in a variety of fashions, most of which are documented individually in dedicated man pages. (The one exception is edirect -nquir, which roughly corresponds to nquire but is fully independent.)

COMMON OPTIONS
Most subcommands accept the following options, in addition to command-specific options.

-help
    Print usage information.

-email address
    Send the given e-mail address to have someone to notify in case a runaway script causes problems with an NCBI Entrez server.

-tool name
    Send the given client name.

-http[s] get
    Force the use of GET rather than POST HTTPS requests.

-alias filename
    Specify a file of shortcut keywords and query strings or URL sections.

-silent
    Suppress connection failure retry messages.

-verbose
    Display the ENTREZ_DIRECT XML field values at each step.

-debug
    Print the internal URL query and XML results of each step.

-base URL
    Specify a particular server for quality assurance testing.

ENVIRONMENT

EDIRECT_DO_AUTO_ABBREV
    Accept (currently) unambiguous truncated option names, as in -verbo for -verbose.

NCBI_API_KEY
    NCBI E-Utilities API key, allowing for a higher request rate at the cost of some anonymity.

SEE ALSO
eaddress(1), eblast(1), ecitmatch(1), econtact(1), efetch(1), efilter(1), einfo(1), elink(1), enotify(1), entrez-phrase-search(1), epost(1), eproxy(1), esearch(1), espell(1), esummary(1), ftp-cp(1), ftp-ls(1), nquire(1), transmute(1), xplore(1). xtract(1).